# TODO: enhance pld_interfaces patch, including PLDifing netcf-transaction (or disabling it)
#  maybe create drv_pld.c?
Summary:	netcf - a cross-platform network configuration library
Summary(pl.UTF-8):	netcf - wieloplatformowa biblioteka do konfiguracji sieci
Name:		netcf
Version:	0.2.8
Release:	3
License:	GPL v2
Group:		Administration/System
Source0:	http://releases.pagure.org/netcf/%{name}-%{version}.tar.gz
# Source0-md5:	8edfc9a5856468ae4f8ee97415a3dbf3
Patch0:		%{name}-pld_interfaces.patch
Patch1:		%{name}-systemd.patch
URL:		https://pagure.io/netcf/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
BuildRequires:	augeas-devel >= 0.5.0
BuildRequires:	libnl-devel >= 3.2
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	libxslt-devel
Requires:	augeas >= 0.5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
netcf is a cross-platform network configuration library.

%description -l pl.UTF-8
netcf to wieloplatformowa biblioteka do konfiguracji sieci.

%package libs
Summary:	Netcf library
Summary(pl.UTF-8):	Biblioteka netcf
Group:		Libraries
Requires:	augeas-libs >= 0.5.0

%description libs
This package contains the netcf shared library.

%description libs -l pl.UTF-8
Ten pakiet zawiera bibliotekę współdzieloną netcf.

%package devel
Summary:	Netcf development files
Summary(pl.UTF-8):	Pliki programistyczne netcf
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	augeas-devel >= 0.5.0
Requires:	libxml2-devel >= 2.0
Requires:	libxslt-devel

%description devel
This package contains the include files used to develop using netcf
APIs.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkow służące do programowania z użyciem
API netcf.

%package static
Summary:	The netcf static library
Summary(pl.UTF-8):	Statyczna biblioteka netcf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the netcf static library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną bibliotekę netcf.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .orig

%build
%{__libtoolize}
%{__aclocal} -I gnulib/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--with-driver=redhat \
	--with-sysinit=both

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	SYSTEMD_UNIT_DIR=%{systemdunitdir}

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libnetcf.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ncftool
%attr(754,root,root) /etc/rc.d/init.d/netcf-transaction
%attr(754,root,root) %{_libexecdir}/netcf-transaction.sh
%{systemdunitdir}/netcf-transaction.service
%{_datadir}/netcf   
%{_mandir}/man1/ncftool.1*

%files libs
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/libnetcf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnetcf.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnetcf.so
%{_includedir}/netcf.h
%{_pkgconfigdir}/netcf.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnetcf.a
%changelog
* Thu Oct 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/netcf.git;a=log;h=master

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 5809159
- release 3 (by relup.sh)

* Tue Aug 01 2017 Jakub Bogusz <qboosh@pld-linux.org> 482fd84
- updated URLs

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> ff53884
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Fri Apr 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 7c6fb89
- updated to 0.2.8 (fixes CVE-2014-8119)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> eb7faee
- x32 rebuild
- release 2 (by relup.sh)

* Sun Sep 07 2014 Jakub Bogusz <qboosh@pld-linux.org> e540a98
- updated to 0.2.6
- removed .la file (.pc exists)

* Sat May 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 1e525c9
- updated to 0.2.4
- updated pld_interfaces patch
- added systemd patch (install both initscripts and systemd support files)

* Sun Apr 06 2014 Elan Ruusamäe <glen@delfi.ee> 261aa89
- fix typo in netcf status

* Sun Feb 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 6042dc1
- release 2 (rebuild after libnl soname change)

* Mon Jan 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 7954e52
- updated to 0.2.3

* Wed Aug 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 6b73c97
- updated to 0.2.2
- adjusted pld_interfaces patch

* Sat Aug 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 9c10aa8
- updated to 0.1.9
- enhanced pld_interfaces patch to adjust netcf-transaction script (needs more polishing)

* Mon May 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 40da3b7
- cleaned up and unified

* Mon Mar 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5dfd7f2
- up to 0.1.7

* Tue Jul 20 2010 alucard <alucard@pld-linux.org> d9b6e13
- operate on PLD dir for interfaces

* Mon Jul 19 2010 alucard <alucard@pld-linux.org> c53373b
- initial commit

